/**
 * 深拷贝对象
 * @param {原始数据} oriObject
 */
const cloneDeep = (oriObject) => {
    if (oriObject && typeof oriObject === 'object') {
        const targetObject = Array.isArray(oriObject) ? [] : {};
        for (const key in oriObject) {
            if (Object.prototype.hasOwnProperty.call(oriObject, key)) {
                if (typeof oriObject[key] === 'object' && typeof oriObject[key] !== null) {
                    targetObject[key] = cloneDeep(oriObject[key]);
                } else {
                    targetObject[key] = oriObject[key];
                }
            }
        }
        return targetObject;
    }
    console.error('输入参数为空或不为对象');
    return '输入参数为空或不为对象';
};
export default cloneDeep;
